Topic
  • 4 replies
  • Latest Post - ‏2005-11-28T07:59:48Z by SystemAdmin
SystemAdmin
SystemAdmin
332 Posts

Pinned topic ds_loadlibrary:error in dlopen + oracle 9i oci

‏2005-11-19T09:14:51Z |
hi, I am using DataStage Server 7.5 on HP-Ux 11i itanium platform.
oracle 9i (latest release) server and client are installed on the server.
The SHLIB_PATH=$ORAHOME/lib:$SHLIB_PATH
The OCI plug-in is installed
and still get the message mentioned in the subject.
Any help would be appriciated.

Thanx
Updated on 2005-11-28T07:59:48Z at 2005-11-28T07:59:48Z by SystemAdmin
  • SystemAdmin
    SystemAdmin
    332 Posts

    Re: ds_loadlibrary:error in dlopen + oracle 9i oci

    ‏2005-11-19T11:07:31Z  
    Post more information, please...

    What changes did you make in your b:f37a5991fcdsenv[/b:f37a5991fc] file to support the Oracle plug-ins? You've shown the SHLIB_PATH change, but what about the actual Oracle home itself? I think you'll find that you need to set b:f37a5991fc$ORACLE_HOME[/b:f37a5991fc] not $ORAHOME and use that instead, but it should all be spelled out in the i:f37a5991fcInstallation and Configuration Guide.[/i:f37a5991fc]

    Once you make the changes, you will need to stop and restart the DataStage server - has that occured?
  • SystemAdmin
    SystemAdmin
    332 Posts

    Re: ds_loadlibrary:error in dlopen + oracle 9i oci

    ‏2005-11-22T12:19:20Z  
    DataStage job logs:

    DataStage Job 1 Phantom 15019
    /usr/lib/dld.sl: Bad magic number for shared library: /u01/oracle/oracle9i/lib/libclntsh.sl
    /usr/lib/dld.sl: Exec format error
    Job Aborted after Fatal Error logged.
    Attempting to Cleanup after ABORT raised in stage Untitled1..Sequential_File_1.IDENT1
    DataStage Phantom Aborting with @ABORT.CODE = 1

    Thanx
  • SystemAdmin
    SystemAdmin
    332 Posts

    Re: ds_loadlibrary:error in dlopen + oracle 9i oci

    ‏2005-11-26T09:58:14Z  
    Bad magic number usually indicates a corrupted file. It's probably best to re-install. It might also be necessary to obtain a new copy of the software.
  • SystemAdmin
    SystemAdmin
    332 Posts

    Re: ds_loadlibrary:error in dlopen + oracle 9i oci

    ‏2005-11-28T07:59:48Z  
    Are you running the Itanium version of the product or did you install the PA-RISC version? The Itanium OS has a PA-RISC emulator that will allow software to run, but it has top be set up to only call RA-RISC libraries. If it tried to call a native Itanium library, it will fail.